/*
 *  tra.EiJärkevääToteuttaaPoikkeus
 *
 *  Versio 0.0.1
 *
 *  Tommi Pirinen <tpirinen@cs.joensuu.fi>
 *
 *  This file is part of Foobar.
 *
 *  Foobar is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  Foobar is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with Foobar; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
package fi.joensuu.cs.tpirinen.tra;

/**
 *  Poikkeus, joka nostetaan kun käyttäjä yrittää kutsua sellaisen kohteen
 metodia jonka suorittaminen ei ole loogisesti järkevää. Yleensä tällainen
 poikkeus viittaa siihen että jotain on toteutettu olioperiaatteen vastaisesti,
 ja perusteet tämän käytölle ovatkin Tietorakenne-rajapinnan määritelmässä.<p>
 Hyvä
 esimerkki tämän luokan käyttötavasta on esimerkiksi Pino, joka on järkevää
 pitää tietorakenteena, mutta pino ei tietenkään toteuta läpikäynti sellaisena
 kuin tietorakenteen määritelmä vaatii, joten Pinon toteutukset nostanevat
 tämän virheen kun käyttäjä yrittää läpikäydä pinoa yleisen tietorakenteen
 metodein pinon omien läpikäyntimekaniikan asemesta.
 *
 * @author     tpirinen
 * @created    3. toukokuuta 2004
 */
public class EiJärkevääToteuttaaPoikkeus extends TietorakennePoikkeus {

}

